Bug 730408 - µSD card read and write very slow
Summary: µSD card read and write very slow
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 19:42 UTC by Gendre Sébastien
Modified: 2012-07-11 17:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 17:50:20 UTC


Attachments (Terms of Use)

Description Gendre Sébastien 2011-08-12 19:42:44 UTC
Description of problem:
Write and read µSD card are very slow and some crash when the I/O load is high.

Message on log at the crash: 
Aug 12 21:19:13 Aragorn kernel: [ 6501.727023] end_request: I/O error, dev sdd, sector 4564030
Aug 12 21:19:13 Aragorn kernel: [ 6501.727055] sd 8:0:0:2: [sdd] Unhandled error code
Aug 12 21:19:13 Aragorn kernel: [ 6501.727068] sd 8:0:0:2: [sdd]  Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
Aug 12 21:19:13 Aragorn kernel: [ 6501.727090] sd 8:0:0:2: [sdd] CDB: Write(10): 2a 00 00 45 a4 4e 00 00 38 00
Aug 12 21:19:13 Aragorn kernel: [ 6501.727127] end_request: I/O error, dev sdd, sector 4564046
Aug 12 21:19:13 Aragorn kernel: [ 6501.727164] sd 8:0:0:2: [sdd] Unhandled error code
Aug 12 21:19:13 Aragorn kernel: [ 6501.727174] sd 8:0:0:2: [sdd]  Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
Aug 12 21:19:13 Aragorn kernel: [ 6501.727193] sd 8:0:0:2: [sdd] CDB: Write(10): 2a 00 00 45 a4 8e 00 00 10 00

Etc..

Tested with µSD card:
- Sandisc 32GB Class 4
- Kingston 32GB Class 10

Tested with SD card Reader:
- Embedded reader of Google Nexus One, connected by USB to PC.
- Genesys Logic, Inc. USB 2.0 Card Reader (05e3:070e)
- Realtek Semiconductor Corp. Digital Media Card Reader (0bda:0159) (Embedded on the laptop)

Note: It work with Nexus One card reader on Fedora 14.

Version-Release number of selected component (if applicable):
2.6.40-4.fc15.x86_64

Comment 1 Gendre Sébastien 2011-09-25 15:19:01 UTC
This is the log when I plug a Nexus One:

Sep 25 16:36:43 Aragorn kernel: [14268.839694] usb 2-1.2: new high speed USB device number 4 using ehci_hcd
Sep 25 16:36:43 Aragorn kernel: [14268.945554] usb 2-1.2: New USB device found, idVendor=18d1, idProduct=4e11
Sep 25 16:36:43 Aragorn kernel: [14268.945566] usb 2-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Sep 25 16:36:43 Aragorn kernel: [14268.945575] usb 2-1.2: Product: Nexus One
Sep 25 16:36:43 Aragorn kernel: [14268.945581] usb 2-1.2: Manufacturer: Google, Inc.
Sep 25 16:36:43 Aragorn kernel: [14268.945587] usb 2-1.2: SerialNumber: 0123456789ABCDEF
Sep 25 16:36:43 Aragorn mtp-probe: checking bus 2, device 4: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.2"
Sep 25 16:36:43 Aragorn mtp-probe: bus: 2, device: 4 was not an MTP device
Sep 25 16:36:43 Aragorn kernel: [14269.170078] usbcore: registered new interface driver uas
Sep 25 16:36:43 Aragorn kernel: [14269.186803] Initializing USB Mass Storage driver...
Sep 25 16:36:43 Aragorn kernel: [14269.187077] scsi5 : usb-storage 2-1.2:1.0
Sep 25 16:36:43 Aragorn kernel: [14269.187630] usbcore: registered new interface driver usb-storage
Sep 25 16:36:43 Aragorn kernel: [14269.187635] USB Mass Storage support registered.
Sep 25 16:36:44 Aragorn kernel: [14270.189300] scsi 5:0:0:0: Direct-Access     Google,  Inc.Nexus One         PQ: 0 ANSI: 2
Sep 25 16:36:44 Aragorn kernel: [14270.191540] sd 5:0:0:0: Attached scsi generic sg1 type 0
Sep 25 16:36:44 Aragorn kernel: [14270.206503] sd 5:0:0:0: [sdb] Attached SCSI removable disk
Sep 25 16:36:51 Aragorn kernel: [14276.948673] sd 5:0:0:0: [sdb] 62873600 512-byte logical blocks: (32.1 GB/29.9 GiB)
Sep 25 16:36:51 Aragorn kernel: [14276.965689]  sdb: sdb1

Comment 2 Josh Boyer 2012-06-06 17:26:40 UTC
There were a number of I/O fixes that went into later kernels.  Are you still seeing this with 2.6.43/3.3?

Comment 3 Josh Boyer 2012-07-11 17:50:20 UTC
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.


Note You need to log in before you can comment on or make changes to this bug.